> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/embedded-wallets/get-registered-devices--paginated",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get registered devices - paginated

> Get a paginated list of registered devices for a specific Non Custodial Wallet



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /ncw/wallets/{walletId}/devices_paginated
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /ncw/wallets/{walletId}/devices_paginated:
    get:
      tags:
        - Embedded Wallets
      summary: Get registered devices - paginated
      description: >-
        Get a paginated list of registered devices for a specific Non Custodial
        Wallet
      operationId: getEmbeddedWalletDevicesPaginated
      parameters:
        - in: path
          name: walletId
          description: Wallet Id
          example: 550e8400-e29b-41d4-a716-446655440000
          required: true
          schema:
            type: string
        - in: query
          name: sort
          description: Sort by fields
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - createdAt
            default:
              - createdAt
        - in: query
          name: pageCursor
          description: Cursor to the next page
          required: false
          schema:
            type: string
        - in: query
          name: pageSize
          description: Amount of results to return in the next page
          required: false
          schema:
            type: number
            default: 200
            maximum: 400
        - in: query
          name: order
          description: Is the order ascending or descending
          required: false
          schema:
            type: string
            enum:
              - ASC
              - DESC
            default: ASC
      responses:
        '200':
          description: Successful response
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmbeddedWalletPaginatedDevicesResponse'
        '400':
          description: Query parameters were invalid
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<EmbeddedWalletPaginatedDevicesResponse>>
            =
            fireblocks.embeddedWallets.getEmbeddedWalletDevicesPaginated(embeddedWalletsApiGetEmbeddedWalletDevicesPaginatedRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<EmbeddedWalletPaginatedDevicesResponse>>
            response =
            fireblocks.embeddedWallets().getEmbeddedWalletDevicesPaginated(walletId,
            sort, pageCursor, pageSize, order);
        - lang: Python
          source: >-
            response =
            fireblocks.embedded_wallets.get_embedded_wallet_devices_paginated(wallet_id,
            sort, page_cursor, page_size, order);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    EmbeddedWalletPaginatedDevicesResponse:
      type: object
      properties:
        data:
          type: array
          description: The data of the current page
          example:
            - deviceId: 9ee1bff0-6dba-4f0c-9b75-03fe90e66fa3
              enabled: true
              physicalDeviceId: ee1bff0-6dba-4f0c-9b75-03fe90e66fa3
          items:
            $ref: '#/components/schemas/EmbeddedWalletDevice'
        next:
          type: string
          description: The ID of the next page
          example: eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9
          nullable: true
      required:
        - data
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
    EmbeddedWalletDevice:
      type: object
      properties:
        deviceId:
          type: string
          description: deviceId
          example: deviceIdValue
        enabled:
          type: boolean
          description: enabled
          example: true
        physicalDeviceId:
          type: string
          description: physicalDeviceId
          example: physicalDeviceIdValue
      required:
        - deviceId
        - enabled
        - physicalDeviceId
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````